Bug 32155 - Course reserves - instructors display is misaligned on course information page
Summary: Course reserves - instructors display is misaligned on course information page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords: rel_22_11_candidate
Depends on: 30952
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-09 20:42 UTC by David Nind
Modified: 2022-11-16 12:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Screenshot - course information instructor misalignment (69.03 KB, image/png)
2022-11-09 20:42 UTC, David Nind
Details
Bug 32155: Fix alignment of course details page (2.33 KB, patch)
2022-11-14 21:09 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 32155: Fix alignment of course details page (2.37 KB, patch)
2022-11-14 21:52 UTC, David Nind
Details | Diff | Splinter Review
Bug 32155: Fix alignment of course details page (2.43 KB, patch)
2022-11-15 15:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Nind 2022-11-09 20:42:21 UTC
Created attachment 143587 [details]
Screenshot - course information instructor misalignment

On the course reserve information page, the instructors section is misaligned.

See the attached screenshot.

To replicate:
1. Create or edit an existing course.
2. Search and add an instructor.
3. Note that the columns are misaligned: the name of the course instructor is shown first, then the label "Instructors" is shown next.
4. Add another three instructors.
5. Note that this pushes the labels for the next few fields to the right.

Note that bug 32146 fixes the page-section style.
Comment 1 Lucas Gass 2022-11-14 21:09:26 UTC Comment hidden (obsolete)
Comment 2 David Nind 2022-11-14 21:52:30 UTC
Created attachment 143879 [details] [review]
Bug 32155: Fix alignment of course details page

This patch eliminates some unnessesary CSS and converts the course details div into a fieldset.

To test:
1. Create or edit an existing course.
2. Search and add an instructor.
3. Note that the columns are misaligned: the name of the course instructor is shown first, then the label "Instructors" is shown next.
4. Add another three instructors.
5. Note that this pushes the labels for the next few fields to the right.
6. Apply patch
7. Try steps 1-4 again and confirm everthing looks and works correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2022-11-14 21:55:08 UTC
Thanks Lucas for fixing!
Comment 4 Katrin Fischer 2022-11-15 15:37:15 UTC
Created attachment 143913 [details] [review]
Bug 32155: Fix alignment of course details page

This patch eliminates some unnessesary CSS and converts the course details div into a fieldset.

To test:
1. Create or edit an existing course.
2. Search and add an instructor.
3. Note that the columns are misaligned: the name of the course instructor is shown first, then the label "Instructors" is shown next.
4. Add another three instructors.
5. Note that this pushes the labels for the next few fields to the right.
6. Apply patch
7. Try steps 1-4 again and confirm everthing looks and works correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2022-11-16 12:39:57 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!